Subject: [Freesurfer] Re: recon-all: expert options not applied to mris_inflate
From: "Douglas N. Greve" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sun, 21 Sep 2025 21:39:10 +0000

I have found and fixed this bug. I've attached a new version of the fsr-getxopts script. You can copy it into $FREESURFER/bin
Change the permissions to make it executable
chmod a+x $FREESURFER/bin/fsr-getxopts

On 9/4/2025 1:29 PM, Su, Weizhong wrote:

           External Email - Use Caution

   Hi Yahia,

   I faced same issue when using mris_inflate expert option. Do not use this option for Freesurfer v8.1.0 until FS developer team fixes this problem.

   Best,

   Wayne

   From: "Mokli, Yahia" <[email-masked]><mailto:[email-masked]>
   Reply-To: Freesurfer support list <[email-masked]><mailto:[email-masked]>
   Date: Thursday, September 4, 2025 at 8:53 AM
   To: "[email-masked]"<mailto:[email-masked]> <[email-masked]><mailto:[email-masked]>
   Subject: [Freesurfer] recon-all: expert options not applied to mris_inflate

[CAUTION: Non-UBC Email]

           External Email - Use Caution

   Hello FreeSurfer Team,

   What I am trying to accomplish:

   I am running a full recon-all (-all) and trying to control the number of inflation iterations via an expert options file containing: "mris_inflate -n 30"

   FreeSurfer version and platform:

   freesurfer-linux-ubuntu22_x86_64-8.1.0-20250719-f30dfed

   Running inside Docker based on Ubuntu 22.04

   Command I ran:

   recon-all -i /data/test/sub-0113_t1_axisAlign.nii.gz -s sub-0113 -all -hires -parallel -openmp 16 -expert /data/test/expert_inflate30.opts

   Error/output seen:

   During the Inflation1 stage, the log shows mris_inflate being invoked without the -n flag and with a bare “30” argument:

   mris_inflate -no-save-sulc 30 ../surf/lh.smoothwm.nofix ../surf/lh.inflated.nofix

   Shortly after, recon-all exits with ERRORS.

   The recon-all.log file have these lines at the end:

   #@# Inflation1 lh Thu Sep  4 13:54:46 UTC 2025

   /data/subjects/sub-0113/scripts

   mris_inflate -no-save-sulc 30 ../surf/lh.smoothwm.nofix ../surf/lh.inflated.nofix

   #-----------------------------------

   #@# Inflation1 rh Thu Sep  4 13:54:46 UTC 2025

   /data/subjects/sub-0113/scripts

   mris_inflate -no-save-sulc 30 ../surf/rh.smoothwm.nofix ../surf/rh.inflated.nofix

   Waiting for PID 4083 of (4083 4086) to complete...

   Waiting for PID 4086 of (4083 4086) to complete...

   mris_inflate -no-save-sulc 30 ../surf/lh.smoothwm.nofix ../surf/lh.inflated.nofix

   Not saving sulc

   Reading 30

   ** failed to open GIFTI XML file '30.gii'

   mrisReadGIFTIdanum: ERROR reading gifti 30.gii

   [INFO] read, cannot find 30, trying 30.gii ...

   error: No such file or directory

   error: mris_inflate: could not read surface file 30

   mris_inflate -no-save-sulc 30 ../surf/rh.smoothwm.nofix ../surf/rh.inflated.nofix

   Not saving sulc

   Reading 30

   ** failed to open GIFTI XML file '30.gii'

   mrisReadGIFTIdanum: ERROR reading gifti 30.gii

   [INFO] read, cannot find 30, trying 30.gii ...

   error: No such file or directory

   error: mris_inflate: could not read surface file 30

   PIDs (4083 4086) completed and logs appended.

   Linux 4fa29909686b 6.8.0-78-generic #78-Ubuntu SMP PREEMPT_DYNAMIC Tue Aug 12 11:34:18 UTC 2025 x86_64 x86_64 x86_64 GNU/Linux

   recon-all -s sub-0113 exited with ERRORS at Thu Sep  4 13:54:46 UTC 2025

   Troubleshooting already tried:

   - Recreated the expert file to ensure ASCII hyphen and LF newline: printf 'mris_inflate -n 30\n' > /data/test/expert_inflate30.opts

   - Resumed with overwrite -xopts-overwrite -expert /data/test/expert_inflate30.opts

   - Verified that mris_inflate accepts -n 30 manually:: /usr/local/freesurfer/8.1.0/bin/mris_inflate -no-save-sulc -n 30 in.surf out.surf

   - Other expert options (e.g., “mris_smooth -seed 9999”) are honored and appear correctly in the log

   Is there a known issue in FreeSurfer 8.1.0 on Ubuntu 22.04 where expert options for mris_inflate are not applied?

   What is the recommended way to ensure -n 30 is honored?

   Thank you for your help.

   Best regards,

   Yahia Mokli

   _______________________________________________
   Freesurfer mailing list -- [email-masked]<mailto:[email-masked]>
   To unsubscribe send an email to [email-masked]<mailto:[email-masked]>
   https://mail.nmr.mgh.harvard.edu/mailman3/lists/[email-masked]/